package com.mortals.xhx.module.notice.model;

import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.notice.model.NoticeEntity;
/**
 * 用户消息查询对象
 *
 * @author zxfei
 * @date 2023-04-16
 */
public class NoticeQuery extends NoticeEntity {
    /** 开始 主键ID */
    private Long idStart;

    /** 结束 主键ID */
    private Long idEnd;

    /** 增加 主键ID */
    private Long idIncrement;

    /** 主键ID列表 */
    private List <Long> idList;

    /** 主键ID排除列表 */
    private List <Long> idNotList;

    /** 开始 接收消息的用户的唯一标识符 */
    private Long userIdStart;

    /** 结束 接收消息的用户的唯一标识符 */
    private Long userIdEnd;

    /** 增加 接收消息的用户的唯一标识符 */
    private Long userIdIncrement;

    /** 接收消息的用户的唯一标识符列表 */
    private List <Long> userIdList;

    /** 接收消息的用户的唯一标识符排除列表 */
    private List <Long> userIdNotList;

    /** 消息的标题 */
    private List<String> titleList;

    /** 消息的标题排除列表 */
    private List <String> titleNotList;
    /** 消息的内容 */
    private List<String> contentList;

    /** 消息的内容排除列表 */
    private List <String> contentNotList;
    /** 开始 是否已读 (0.否,1.是) */
    private Integer readStart;

    /** 结束 是否已读 (0.否,1.是) */
    private Integer readEnd;

    /** 增加 是否已读 (0.否,1.是) */
    private Integer readIncrement;

    /** 是否已读 (0.否,1.是)列表 */
    private List <Integer> readList;

    /** 是否已读 (0.否,1.是)排除列表 */
    private List <Integer> readNotList;

    /** 开始 消息的优先级，越高表示越紧急，不为空 */
    private Integer priorityStart;

    /** 结束 消息的优先级，越高表示越紧急，不为空 */
    private Integer priorityEnd;

    /** 增加 消息的优先级，越高表示越紧急，不为空 */
    private Integer priorityIncrement;

    /** 消息的优先级，越高表示越紧急，不为空列表 */
    private List <Integer> priorityList;

    /** 消息的优先级，越高表示越紧急，不为空排除列表 */
    private List <Integer> priorityNotList;

    /** 开始 消息的过期时间，超过此时间则自动标记为已读 */
    private String expireTimeStart;

    /** 结束 消息的过期时间，超过此时间则自动标记为已读 */
    private String expireTimeEnd;

    /** 消息的来源类型，例如“系统”、“好友”等，可以为空 */
    private List<String> sourceTypeList;

    /** 消息的来源类型，例如“系统”、“好友”等，可以为空排除列表 */
    private List <String> sourceTypeNotList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建人ID */
    private Long createUserIdStart;

    /** 结束 创建人ID */
    private Long createUserIdEnd;

    /** 增加 创建人ID */
    private Long createUserIdIncrement;

    /** 创建人ID列表 */
    private List <Long> createUserIdList;

    /** 创建人ID排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** 开始 更新人ID */
    private Long updateUserIdStart;

    /** 结束 更新人ID */
    private Long updateUserIdEnd;

    /** 增加 更新人ID */
    private Long updateUserIdIncrement;

    /** 更新人ID列表 */
    private List <Long> updateUserIdList;

    /** 更新人ID排除列表 */
    private List <Long> updateUserIdNotList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<NoticeQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<NoticeQuery> andConditionList;

    public NoticeQuery(){}

    /**
     * 获取 开始 主键ID
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 主键ID
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 主键ID
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 主键ID
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 主键ID
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 主键ID
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 主键ID
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 主键ID
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 主键ID
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 主键ID
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 开始 接收消息的用户的唯一标识符
     * @return userIdStart
     */
    public Long getUserIdStart(){
        return this.userIdStart;
    }

    /**
     * 设置 开始 接收消息的用户的唯一标识符
     * @param userIdStart
     */
    public void setUserIdStart(Long userIdStart){
        this.userIdStart = userIdStart;
    }

    /**
     * 获取 结束 接收消息的用户的唯一标识符
     * @return $userIdEnd
     */
    public Long getUserIdEnd(){
        return this.userIdEnd;
    }

    /**
     * 设置 结束 接收消息的用户的唯一标识符
     * @param userIdEnd
     */
    public void setUserIdEnd(Long userIdEnd){
        this.userIdEnd = userIdEnd;
    }

    /**
     * 获取 增加 接收消息的用户的唯一标识符
     * @return userIdIncrement
     */
    public Long getUserIdIncrement(){
        return this.userIdIncrement;
    }

    /**
     * 设置 增加 接收消息的用户的唯一标识符
     * @param userIdIncrement
     */
    public void setUserIdIncrement(Long userIdIncrement){
        this.userIdIncrement = userIdIncrement;
    }

    /**
     * 获取 接收消息的用户的唯一标识符
     * @return userIdList
     */
    public List<Long> getUserIdList(){
        return this.userIdList;
    }

    /**
     * 设置 接收消息的用户的唯一标识符
     * @param userIdList
     */
    public void setUserIdList(List<Long> userIdList){
        this.userIdList = userIdList;
    }

    /**
     * 获取 接收消息的用户的唯一标识符
     * @return userIdNotList
     */
    public List<Long> getUserIdNotList(){
        return this.userIdNotList;
    }

    /**
     * 设置 接收消息的用户的唯一标识符
     * @param userIdNotList
     */
    public void setUserIdNotList(List<Long> userIdNotList){
        this.userIdNotList = userIdNotList;
    }


    /**
     * 获取 消息的标题
     * @return titleList
     */
    public List<String> getTitleList(){
        return this.titleList;
    }

    /**
     * 设置 消息的标题
     * @param titleList
     */
    public void setTitleList(List<String> titleList){
        this.titleList = titleList;
    }

    /**
     * 获取 消息的标题
     * @return titleNotList
     */
    public List<String> getTitleNotList(){
        return this.titleNotList;
    }

    /**
     * 设置 消息的标题
     * @param titleNotList
     */
    public void setTitleNotList(List<String> titleNotList){
        this.titleNotList = titleNotList;
    }

    /**
     * 获取 消息的内容
     * @return contentList
     */
    public List<String> getContentList(){
        return this.contentList;
    }

    /**
     * 设置 消息的内容
     * @param contentList
     */
    public void setContentList(List<String> contentList){
        this.contentList = contentList;
    }

    /**
     * 获取 消息的内容
     * @return contentNotList
     */
    public List<String> getContentNotList(){
        return this.contentNotList;
    }

    /**
     * 设置 消息的内容
     * @param contentNotList
     */
    public void setContentNotList(List<String> contentNotList){
        this.contentNotList = contentNotList;
    }

    /**
     * 获取 开始 是否已读 (0.否,1.是)
     * @return readStart
     */
    public Integer getReadStart(){
        return this.readStart;
    }

    /**
     * 设置 开始 是否已读 (0.否,1.是)
     * @param readStart
     */
    public void setReadStart(Integer readStart){
        this.readStart = readStart;
    }

    /**
     * 获取 结束 是否已读 (0.否,1.是)
     * @return $readEnd
     */
    public Integer getReadEnd(){
        return this.readEnd;
    }

    /**
     * 设置 结束 是否已读 (0.否,1.是)
     * @param readEnd
     */
    public void setReadEnd(Integer readEnd){
        this.readEnd = readEnd;
    }

    /**
     * 获取 增加 是否已读 (0.否,1.是)
     * @return readIncrement
     */
    public Integer getReadIncrement(){
        return this.readIncrement;
    }

    /**
     * 设置 增加 是否已读 (0.否,1.是)
     * @param readIncrement
     */
    public void setReadIncrement(Integer readIncrement){
        this.readIncrement = readIncrement;
    }

    /**
     * 获取 是否已读 (0.否,1.是)
     * @return readList
     */
    public List<Integer> getReadList(){
        return this.readList;
    }

    /**
     * 设置 是否已读 (0.否,1.是)
     * @param readList
     */
    public void setReadList(List<Integer> readList){
        this.readList = readList;
    }

    /**
     * 获取 是否已读 (0.否,1.是)
     * @return readNotList
     */
    public List<Integer> getReadNotList(){
        return this.readNotList;
    }

    /**
     * 设置 是否已读 (0.否,1.是)
     * @param readNotList
     */
    public void setReadNotList(List<Integer> readNotList){
        this.readNotList = readNotList;
    }


    /**
     * 获取 开始 消息的优先级，越高表示越紧急，不为空
     * @return priorityStart
     */
    public Integer getPriorityStart(){
        return this.priorityStart;
    }

    /**
     * 设置 开始 消息的优先级，越高表示越紧急，不为空
     * @param priorityStart
     */
    public void setPriorityStart(Integer priorityStart){
        this.priorityStart = priorityStart;
    }

    /**
     * 获取 结束 消息的优先级，越高表示越紧急，不为空
     * @return $priorityEnd
     */
    public Integer getPriorityEnd(){
        return this.priorityEnd;
    }

    /**
     * 设置 结束 消息的优先级，越高表示越紧急，不为空
     * @param priorityEnd
     */
    public void setPriorityEnd(Integer priorityEnd){
        this.priorityEnd = priorityEnd;
    }

    /**
     * 获取 增加 消息的优先级，越高表示越紧急，不为空
     * @return priorityIncrement
     */
    public Integer getPriorityIncrement(){
        return this.priorityIncrement;
    }

    /**
     * 设置 增加 消息的优先级，越高表示越紧急，不为空
     * @param priorityIncrement
     */
    public void setPriorityIncrement(Integer priorityIncrement){
        this.priorityIncrement = priorityIncrement;
    }

    /**
     * 获取 消息的优先级，越高表示越紧急，不为空
     * @return priorityList
     */
    public List<Integer> getPriorityList(){
        return this.priorityList;
    }

    /**
     * 设置 消息的优先级，越高表示越紧急，不为空
     * @param priorityList
     */
    public void setPriorityList(List<Integer> priorityList){
        this.priorityList = priorityList;
    }

    /**
     * 获取 消息的优先级，越高表示越紧急，不为空
     * @return priorityNotList
     */
    public List<Integer> getPriorityNotList(){
        return this.priorityNotList;
    }

    /**
     * 设置 消息的优先级，越高表示越紧急，不为空
     * @param priorityNotList
     */
    public void setPriorityNotList(List<Integer> priorityNotList){
        this.priorityNotList = priorityNotList;
    }


    /**
     * 获取 开始 消息的过期时间，超过此时间则自动标记为已读
     * @return expireTimeStart
     */
    public String getExpireTimeStart(){
        return this.expireTimeStart;
    }

    /**
     * 设置 开始 消息的过期时间，超过此时间则自动标记为已读
     * @param expireTimeStart
     */
    public void setExpireTimeStart(String expireTimeStart){
        this.expireTimeStart = expireTimeStart;
    }

    /**
     * 获取 结束 消息的过期时间，超过此时间则自动标记为已读
     * @return expireTimeEnd
     */
    public String getExpireTimeEnd(){
        return this.expireTimeEnd;
    }

    /**
     * 设置 结束 消息的过期时间，超过此时间则自动标记为已读
     * @param expireTimeEnd
     */
    public void setExpireTimeEnd(String expireTimeEnd){
        this.expireTimeEnd = expireTimeEnd;
    }

    /**
     * 获取 消息的来源类型，例如“系统”、“好友”等，可以为空
     * @return sourceTypeList
     */
    public List<String> getSourceTypeList(){
        return this.sourceTypeList;
    }

    /**
     * 设置 消息的来源类型，例如“系统”、“好友”等，可以为空
     * @param sourceTypeList
     */
    public void setSourceTypeList(List<String> sourceTypeList){
        this.sourceTypeList = sourceTypeList;
    }

    /**
     * 获取 消息的来源类型，例如“系统”、“好友”等，可以为空
     * @return sourceTypeNotList
     */
    public List<String> getSourceTypeNotList(){
        return this.sourceTypeNotList;
    }

    /**
     * 设置 消息的来源类型，例如“系统”、“好友”等，可以为空
     * @param sourceTypeNotList
     */
    public void setSourceTypeNotList(List<String> sourceTypeNotList){
        this.sourceTypeNotList = sourceTypeNotList;
    }

    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 创建人ID
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建人ID
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建人ID
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建人ID
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建人ID
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建人ID
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建人ID
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建人ID
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 创建人ID
     * @return createUserIdNotList
     */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
     * 设置 创建人ID
     * @param createUserIdNotList
     */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
     * 获取 开始 更新时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 更新时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 更新时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 更新时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 获取 开始 更新人ID
     * @return updateUserIdStart
     */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
     * 设置 开始 更新人ID
     * @param updateUserIdStart
     */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
     * 获取 结束 更新人ID
     * @return $updateUserIdEnd
     */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
     * 设置 结束 更新人ID
     * @param updateUserIdEnd
     */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
     * 获取 增加 更新人ID
     * @return updateUserIdIncrement
     */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
     * 设置 增加 更新人ID
     * @param updateUserIdIncrement
     */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
     * 获取 更新人ID
     * @return updateUserIdList
     */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
     * 设置 更新人ID
     * @param updateUserIdList
     */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
     * 获取 更新人ID
     * @return updateUserIdNotList
     */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
     * 设置 更新人ID
     * @param updateUserIdNotList
     */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
     * 设置  主键ID
     * @param id
     */
    public NoticeQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 主键ID
     * @param idStart
     */
    public NoticeQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 主键ID
     * @param idEnd
     */
    public NoticeQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 主键ID
     * @param idIncrement
     */
    public NoticeQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 主键ID
     * @param idList
     */
    public NoticeQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 主键ID
     * @param idNotList
     */
    public NoticeQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }

    /**
     * 设置  接收消息的用户的唯一标识符
     * @param userId
     */
    public NoticeQuery userId(Long userId){
        setUserId(userId);
        return this;
    }

    /**
     * 设置 开始 接收消息的用户的唯一标识符
     * @param userIdStart
     */
    public NoticeQuery userIdStart(Long userIdStart){
        this.userIdStart = userIdStart;
        return this;
    }

    /**
     * 设置 结束 接收消息的用户的唯一标识符
     * @param userIdEnd
     */
    public NoticeQuery userIdEnd(Long userIdEnd){
        this.userIdEnd = userIdEnd;
        return this;
    }

    /**
     * 设置 增加 接收消息的用户的唯一标识符
     * @param userIdIncrement
     */
    public NoticeQuery userIdIncrement(Long userIdIncrement){
        this.userIdIncrement = userIdIncrement;
        return this;
    }

    /**
     * 设置 接收消息的用户的唯一标识符
     * @param userIdList
     */
    public NoticeQuery userIdList(List<Long> userIdList){
        this.userIdList = userIdList;
        return this;
    }

    /**
     * 设置 接收消息的用户的唯一标识符
     * @param userIdNotList
     */
    public NoticeQuery userIdNotList(List<Long> userIdNotList){
        this.userIdNotList = userIdNotList;
        return this;
    }


    /**
     * 设置 消息的标题
     * @param title
     */
    public NoticeQuery title(String title){
        setTitle(title);
        return this;
    }

    /**
     * 设置 消息的标题
     * @param titleList
     */
    public NoticeQuery titleList(List<String> titleList){
        this.titleList = titleList;
        return this;
    }


    /**
     * 设置 消息的内容
     * @param content
     */
    public NoticeQuery content(String content){
        setContent(content);
        return this;
    }

    /**
     * 设置 消息的内容
     * @param contentList
     */
    public NoticeQuery contentList(List<String> contentList){
        this.contentList = contentList;
        return this;
    }

    /**
     * 设置  是否已读 (0.否,1.是)
     * @param read
     */
    public NoticeQuery read(Integer read){
        setRead(read);
        return this;
    }

    /**
     * 设置 开始 是否已读 (0.否,1.是)
     * @param readStart
     */
    public NoticeQuery readStart(Integer readStart){
        this.readStart = readStart;
        return this;
    }

    /**
     * 设置 结束 是否已读 (0.否,1.是)
     * @param readEnd
     */
    public NoticeQuery readEnd(Integer readEnd){
        this.readEnd = readEnd;
        return this;
    }

    /**
     * 设置 增加 是否已读 (0.否,1.是)
     * @param readIncrement
     */
    public NoticeQuery readIncrement(Integer readIncrement){
        this.readIncrement = readIncrement;
        return this;
    }

    /**
     * 设置 是否已读 (0.否,1.是)
     * @param readList
     */
    public NoticeQuery readList(List<Integer> readList){
        this.readList = readList;
        return this;
    }

    /**
     * 设置 是否已读 (0.否,1.是)
     * @param readNotList
     */
    public NoticeQuery readNotList(List<Integer> readNotList){
        this.readNotList = readNotList;
        return this;
    }

    /**
     * 设置  消息的优先级，越高表示越紧急，不为空
     * @param priority
     */
    public NoticeQuery priority(Integer priority){
        setPriority(priority);
        return this;
    }

    /**
     * 设置 开始 消息的优先级，越高表示越紧急，不为空
     * @param priorityStart
     */
    public NoticeQuery priorityStart(Integer priorityStart){
        this.priorityStart = priorityStart;
        return this;
    }

    /**
     * 设置 结束 消息的优先级，越高表示越紧急，不为空
     * @param priorityEnd
     */
    public NoticeQuery priorityEnd(Integer priorityEnd){
        this.priorityEnd = priorityEnd;
        return this;
    }

    /**
     * 设置 增加 消息的优先级，越高表示越紧急，不为空
     * @param priorityIncrement
     */
    public NoticeQuery priorityIncrement(Integer priorityIncrement){
        this.priorityIncrement = priorityIncrement;
        return this;
    }

    /**
     * 设置 消息的优先级，越高表示越紧急，不为空
     * @param priorityList
     */
    public NoticeQuery priorityList(List<Integer> priorityList){
        this.priorityList = priorityList;
        return this;
    }

    /**
     * 设置 消息的优先级，越高表示越紧急，不为空
     * @param priorityNotList
     */
    public NoticeQuery priorityNotList(List<Integer> priorityNotList){
        this.priorityNotList = priorityNotList;
        return this;
    }



    /**
     * 设置 消息的来源类型，例如“系统”、“好友”等，可以为空
     * @param sourceType
     */
    public NoticeQuery sourceType(String sourceType){
        setSourceType(sourceType);
        return this;
    }

    /**
     * 设置 消息的来源类型，例如“系统”、“好友”等，可以为空
     * @param sourceTypeList
     */
    public NoticeQuery sourceTypeList(List<String> sourceTypeList){
        this.sourceTypeList = sourceTypeList;
        return this;
    }


    /**
     * 设置  创建人ID
     * @param createUserId
     */
    public NoticeQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建人ID
     * @param createUserIdStart
     */
    public NoticeQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建人ID
     * @param createUserIdEnd
     */
    public NoticeQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建人ID
     * @param createUserIdIncrement
     */
    public NoticeQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建人ID
     * @param createUserIdList
     */
    public NoticeQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }

    /**
     * 设置 创建人ID
     * @param createUserIdNotList
     */
    public NoticeQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
    }


    /**
     * 设置  更新人ID
     * @param updateUserId
     */
    public NoticeQuery updateUserId(Long updateUserId){
        setUpdateUserId(updateUserId);
        return this;
    }

    /**
     * 设置 开始 更新人ID
     * @param updateUserIdStart
     */
    public NoticeQuery updateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
        return this;
    }

    /**
     * 设置 结束 更新人ID
     * @param updateUserIdEnd
     */
    public NoticeQuery updateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 更新人ID
     * @param updateUserIdIncrement
     */
    public NoticeQuery updateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
        return this;
    }

    /**
     * 设置 更新人ID
     * @param updateUserIdList
     */
    public NoticeQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
        return this;
    }

    /**
     * 设置 更新人ID
     * @param updateUserIdNotList
     */
    public NoticeQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
    }

    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<NoticeQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<NoticeQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<NoticeQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<NoticeQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}